Bug 1123352 - cannot edit compute resource if its name contains UTF8
Summary: cannot edit compute resource if its name contains UTF8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1121755
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 12:04 UTC by Kedar Bidarkar
Modified: 2017-02-23 21:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:11:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Kedar Bidarkar 2014-07-25 12:04:07 UTC
Description of problem:

Unable to edit 'compute-resource' if it's name contains UTF8 chars.

We get the below message.

------------------------------
ComputeResource Not Found

Please try to update your request
-----------------------------------

The access link shows just 

https://dhcp201-170.englab.pnq.redhat.com/compute_resources/2-

and not 
https://dhcp201-170.englab.pnq.redhat.com/compute_resources/2-<compute-resource>

Version-Release number of selected component (if applicable):
sat6-GA-snap2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
cannot edit utf8 compute resource entities.

Expected results:
should be able to edit utf8 compute resource entities.

Additional info:

Comment 2 Og Maciel 2014-07-25 18:19:20 UTC
Related to https://bugzilla.redhat.com/show_bug.cgi?id=1121755 ?

Comment 3 Tomas Strachota 2014-10-13 08:07:53 UTC
It got fixed with introduction of friendly_id:

commit 8b737c9c7648b3726dadb3b2e4708fcb43af02a8
Author: Joseph Magen <jmagen@redhat.com>
Date:   Tue Sep 23 12:02:52 2014 +0300

    fixes #4386 - gem friendly_id to simplify find by id, name, label, etc

Comment 4 jcallaha 2014-10-17 17:42:36 UTC
This bug is partially fixed. While the user is able to view the UTF8 name and click the link, in Computer Resources, to get to the edit page. However, the link to the resource still does not include the UTF8 characters in the name.

Example:
Compute Resource name: asdasdѠѡѢѣѤѥѦѧѨѩѪѫѬѭѮasdasdasdѷѸѹѺѻѼѽѾѿ
Resulting URL: ../compute_resources/37-asdasd-asdasdasd

# rpm -qa | grep foreman
foreman-release-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-gce-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-postgresql-1.7.0-0.develop.201410150839gitb948163.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-broker-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-ovirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-vmware-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-0.1.rc4.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201410151235gitbc8c449.el6.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
foreman-proxy-1.7.0-0.develop.201410101404git7961640.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-parent-cert-1.0-1.noarch
foreman-compute-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch
foreman-libvirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch

Comment 5 jcallaha 2014-10-17 19:39:06 UTC
After further consideration, the typical user's functionality is where it should be. Will verify and create a new BZ for the links.

Comment 6 Bryan Kearney 2015-08-11 13:34:19 UTC
This bug is slated to be released with Satellite 6.1.

Comment 7 errata-xmlrpc 2015-08-12 05:11:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.